Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.ldap
Class ConnectionConstants

    java.lang.Object
      com.stc.connector.appconn.ldap.ConnectionConstants

Direct Known Subclasses:
  LDAPClientApplicationImpl, LDAPConnector, NonManagedLDAPApplicationConnection

    public class ConnectionConstants

extends java.lang.Object

A centralized static cache defines LDAP Connection configuration parameters and its default value. a) Constants should be used by NonManaged clients for creating a valid configuration b) Costants should be used by the LDAPConnector which actually creates the connnction by reading the configuration

Author:

Field Summary
`static java.util.List` | `anonymousLoginMandatoryProperties`
`static java.lang.String` | `CONN_AUTHENTICATION`
`static java.lang.String` | `CONN_CREDENTIALS`
`static java.lang.String` | `CONN_INITIALCONTEXT_FACTORY`
`static java.lang.String` | `CONN_PRINCIPAL`
`static java.lang.String` | `CONN_PROVIDER_URL`
`static java.util.Map` | `connectionDefaultValuesMap`
`static java.lang.String` | `LDAP_ATTRIBUTES`
`static java.lang.String` | `LOCAL_HOST_PROVIDER_URL`
`static java.lang.String` | `NO_AUTHENTICATION`
`static java.lang.String` | `REFERRAL_CREDENTIALS_FILE`
`static java.lang.String` | `REFERRAL_FOLLOW`
`static java.lang.String` | `SECURITY_CONNECTION_TYPE`
`static java.lang.String` | `SECURITY_KEYSTORE`
`static java.lang.String` | `SECURITY_KEYSTORE_PASSWORD`
`static java.lang.String` | `SECURITY_KEYSTORE_TYPE`
`static java.lang.String` | `SECURITY_KEYSTORE_USER_NAME`
`static java.lang.String` | `SECURITY_PROTOCOL`
`static java.lang.String` | `SECURITY_PROVIDER`
`static java.lang.String` | `SECURITY_TRUSTSTORE`
`static java.lang.String` | `SECURITY_TRUSTSTORE_PASSWORD`
`static java.lang.String` | `SECURITY_TRUSTSTORE_TYPE`
`static java.lang.String` | `SECURITY_VERIFY_HOSTNAME`
`static java.lang.String` | `SECURITY_X509_ALGORITHM`
`static java.lang.String` | `SIMPLE_AUTHENTICATION`
`static java.util.List` | `simpleLoginMandatoryProperties`

Constructor Summary
`ConnectionConstants()`

Method Summary
`static boolean` | `contains(java.lang.String connectionKey)`
`static boolean` | `getDefaultBooleanValue(java.lang.String connectionKey)`
`static java.lang.String` | `getDefaultStringValue(java.lang.String connectionKey)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### connectionDefaultValuesMap

    public static java.util.Map connectionDefaultValuesMap

### anonymousLoginMandatoryProperties

    public static java.util.List anonymousLoginMandatoryProperties

### simpleLoginMandatoryProperties

    public static java.util.List simpleLoginMandatoryProperties

### CONN_INITIALCONTEXT_FACTORY

    public static final java.lang.String CONN_INITIALCONTEXT_FACTORY

See Also:
  Constant Field Values

### CONN_PROVIDER_URL

    public static final java.lang.String CONN_PROVIDER_URL

See Also:
  Constant Field Values

### CONN_AUTHENTICATION

    public static final java.lang.String CONN_AUTHENTICATION

See Also:
  Constant Field Values

### CONN_PRINCIPAL

    public static final java.lang.String CONN_PRINCIPAL

See Also:
  Constant Field Values

### CONN_CREDENTIALS

    public static final java.lang.String CONN_CREDENTIALS

See Also:
  Constant Field Values

### REFERRAL_FOLLOW

    public static final java.lang.String REFERRAL_FOLLOW

See Also:
  Constant Field Values

### REFERRAL_CREDENTIALS_FILE

    public static final java.lang.String REFERRAL_CREDENTIALS_FILE

See Also:
  Constant Field Values

### SECURITY_PROVIDER

    public static final java.lang.String SECURITY_PROVIDER

See Also:
  Constant Field Values

### SECURITY_CONNECTION_TYPE

    public static final java.lang.String SECURITY_CONNECTION_TYPE

See Also:
  Constant Field Values

### SECURITY_PROTOCOL

    public static final java.lang.String SECURITY_PROTOCOL

See Also:
  Constant Field Values

### SECURITY_KEYSTORE

    public static final java.lang.String SECURITY_KEYSTORE

See Also:
  Constant Field Values

### SECURITY_KEYSTORE_TYPE

    public static final java.lang.String SECURITY_KEYSTORE_TYPE

See Also:
  Constant Field Values

### SECURITY_KEYSTORE_USER_NAME

    public static final java.lang.String SECURITY_KEYSTORE_USER_NAME

See Also:
  Constant Field Values

### SECURITY_KEYSTORE_PASSWORD

    public static final java.lang.String SECURITY_KEYSTORE_PASSWORD

See Also:
  Constant Field Values

### SECURITY_TRUSTSTORE

    public static final java.lang.String SECURITY_TRUSTSTORE

See Also:
  Constant Field Values

### SECURITY_TRUSTSTORE_TYPE

    public static final java.lang.String SECURITY_TRUSTSTORE_TYPE

See Also:
  Constant Field Values

### SECURITY_TRUSTSTORE_PASSWORD

    public static final java.lang.String SECURITY_TRUSTSTORE_PASSWORD

See Also:
  Constant Field Values

### SECURITY_X509_ALGORITHM

    public static final java.lang.String SECURITY_X509_ALGORITHM

See Also:
  Constant Field Values

### SECURITY_VERIFY_HOSTNAME

    public static final java.lang.String SECURITY_VERIFY_HOSTNAME

See Also:
  Constant Field Values

### NO_AUTHENTICATION

    public static final java.lang.String NO_AUTHENTICATION

See Also:
  Constant Field Values

### SIMPLE_AUTHENTICATION

    public static final java.lang.String SIMPLE_AUTHENTICATION

See Also:
  Constant Field Values

### LOCAL_HOST_PROVIDER_URL

    public static final java.lang.String LOCAL_HOST_PROVIDER_URL

See Also:
  Constant Field Values

### LDAP_ATTRIBUTES

    public static final java.lang.String LDAP_ATTRIBUTES

See Also:
  Constant Field Values

Constructor Detail

### ConnectionConstants

    public ConnectionConstants()

Method Detail

### contains

    public static boolean contains(java.lang.String connectionKey)

### getDefaultStringValue

    public static java.lang.String getDefaultStringValue(java.lang.String connectionKey)

### getDefaultBooleanValue

    public static boolean getDefaultBooleanValue(java.lang.String connectionKey)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD